/*
 * Copyright 2017-2021 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
    kPIN_MUX_DirectionInput = 0U,        /* Input direction */
    kPIN_MUX_DirectionOutput = 1U,       /* Output direction */
    kPIN_MUX_DirectionInputOrOutput = 2U /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

#define IOCON_PIO_DIGITAL_EN 0x0100u  /*!<@brief Enables digital function */
#define IOCON_PIO_FUNC1 0x01u         /*!<@brief Selects pin function 1 */
#define IOCON_PIO_INV_DI 0x00u        /*!<@brief Input function is not inverted */
#define IOCON_PIO_MODE_INACT 0x00u    /*!<@brief No addition pin function */
#define IOCON_PIO_OPENDRAIN_DI 0x00u  /*!<@brief Open drain is disabled */
#define IOCON_PIO_SLEW_STANDARD 0x00u /*!<@brief Standard mode, output slew rate control is enabled */

/*! @name FC0_RXD_SDA_MOSI_DATA (number 92), U11[14]/U22[14]/FC0_USART_RXD
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_RX_PERIPHERAL FLEXCOMM0
/*!
 * @brief Signal name */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_RX_SIGNAL RXD_SDA_MOSI_DATA
/*!
 * @brief Routed pin name */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_RX_PIN_NAME FC0_RXD_SDA_MOSI_DATA
/*!
 * @brief Label */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_RX_LABEL "U11[14]/U22[14]/FC0_USART_RXD"
/*!
 * @brief Identifier */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_RX_NAME "DEBUG_UART_RX"
/* @} */

/*! @name FC0_TXD_SCL_MISO_WS (number 94), U11[13]/U22[13]/FC0_USART_TXD
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_TX_PERIPHERAL FLEXCOMM0
/*!
 * @brief Signal name */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_TX_SIGNAL TXD_SCL_MISO_WS
/*!
 * @brief Routed pin name */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_TX_PIN_NAME FC0_TXD_SCL_MISO_WS
/*!
 * @brief Label */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_TX_LABEL "U11[13]/U22[13]/FC0_USART_TXD"
/*!
 * @brief Identifier */
#define BOARD_INITDEBUG_UARTPINS_DEBUG_UART_TX_NAME "DEBUG_UART_TX"
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UARTPins(void); /* Function assigned for the Cortex-M33 */

#define IOCON_PIO_ASW_DI 0x00u        /*!<@brief Analog switch is open (disabled) */
#define IOCON_PIO_DIGITAL_EN 0x0100u  /*!<@brief Enables digital function */
#define IOCON_PIO_FUNC6 0x06u         /*!<@brief Selects pin function 6 */
#define IOCON_PIO_INV_DI 0x00u        /*!<@brief Input function is not inverted */
#define IOCON_PIO_MODE_INACT 0x00u    /*!<@brief No addition pin function */
#define IOCON_PIO_MODE_PULLDOWN 0x10u /*!<@brief Selects pull-down function */
#define IOCON_PIO_MODE_PULLUP 0x20u   /*!<@brief Selects pull-up function */
#define IOCON_PIO_OPENDRAIN_DI 0x00u  /*!<@brief Open drain is disabled */
#define IOCON_PIO_SLEW_STANDARD 0x00u /*!<@brief Standard mode, output slew rate control is enabled */

/*! @name SWCLK (number 13), J10[8]/U18[4]/N4M_SWDCLK
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWDCLK_PERIPHERAL SWD
/*!
 * @brief Signal name */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWDCLK_SIGNAL SWCLK
/*!
 * @brief Routed pin name */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWDCLK_PIN_NAME SWCLK
/*!
 * @brief Label */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWDCLK_LABEL "J10[8]/U18[4]/N4M_SWDCLK"
/*!
 * @brief Identifier */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWDCLK_NAME "DEBUG_SWD_SWDCLK"
/* @} */

/*! @name SWDIO (number 12), J10[6]/U18[8]/N4M_SWDIO
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWDIO_PERIPHERAL SWD
/*!
 * @brief Signal name */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWDIO_SIGNAL SWDIO
/*!
 * @brief Routed pin name */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWDIO_PIN_NAME SWDIO
/*!
 * @brief Label */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWDIO_LABEL "J10[6]/U18[8]/N4M_SWDIO"
/*!
 * @brief Identifier */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWDIO_NAME "DEBUG_SWD_SWDIO"
/* @} */

/*! @name SWO (number 21), J9[1]/U18[12]/N4M_SWO
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWO_PERIPHERAL SWD
/*!
 * @brief Signal name */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWO_SIGNAL SWO
/*!
 * @brief Routed pin name */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWO_PIN_NAME SWO
/*!
 * @brief Label */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWO_LABEL "J9[1]/U18[12]/N4M_SWO"
/*!
 * @brief Identifier */
#define BOARD_INITSWD_DEBUGPINS_DEBUG_SWD_SWO_NAME "DEBUG_SWD_SWO"
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitSWD_DEBUGPins(void); /* Function assigned for the Cortex-M33 */

#define IOCON_PIO_DIGITAL_EN 0x0100u  /*!<@brief Enables digital function */
#define IOCON_PIO_FUNC7 0x07u         /*!<@brief Selects pin function 7 */
#define IOCON_PIO_INV_DI 0x00u        /*!<@brief Input function is not inverted */
#define IOCON_PIO_MODE_INACT 0x00u    /*!<@brief No addition pin function */
#define IOCON_PIO_OPENDRAIN_DI 0x00u  /*!<@brief Open drain is disabled */
#define IOCON_PIO_SLEW_STANDARD 0x00u /*!<@brief Standard mode, output slew rate control is enabled */

/*! @name USB0_DM (number 98), J3[2]/FS_USB0_DN
  @{ */
/* Routed pin properties */
#define BOARD_INITUSBPINS_USB0_DM_PERIPHERAL USBFSH        /*!<@brief Peripheral name */
#define BOARD_INITUSBPINS_USB0_DM_SIGNAL USB_DM            /*!<@brief Signal name */
#define BOARD_INITUSBPINS_USB0_DM_PIN_NAME USB0_DM         /*!<@brief Routed pin name */
#define BOARD_INITUSBPINS_USB0_DM_LABEL "J3[2]/FS_USB0_DN" /*!<@brief Label */
#define BOARD_INITUSBPINS_USB0_DM_NAME "USB0_DM"           /*!<@brief Identifier */
                                                           /* @} */

/*! @name USB0_DP (number 97), J3[3]/FS_USB0_DP
  @{ */
/* Routed pin properties */
#define BOARD_INITUSBPINS_USB0_DP_PERIPHERAL USBFSH        /*!<@brief Peripheral name */
#define BOARD_INITUSBPINS_USB0_DP_SIGNAL USB_DP            /*!<@brief Signal name */
#define BOARD_INITUSBPINS_USB0_DP_PIN_NAME USB0_DP         /*!<@brief Routed pin name */
#define BOARD_INITUSBPINS_USB0_DP_LABEL "J3[3]/FS_USB0_DP" /*!<@brief Label */
#define BOARD_INITUSBPINS_USB0_DP_NAME "USB0_DP"           /*!<@brief Identifier */
                                                           /* @} */

/*! @name USB0_VBUS (number 78), USB0_VBUS
  @{ */
/* Routed pin properties */
#define BOARD_INITUSBPINS_USB0_VBUS_PERIPHERAL USBFSH  /*!<@brief Peripheral name */
#define BOARD_INITUSBPINS_USB0_VBUS_SIGNAL USB_VBUS    /*!<@brief Signal name */
#define BOARD_INITUSBPINS_USB0_VBUS_PIN_NAME USB0_VBUS /*!<@brief Routed pin name */
#define BOARD_INITUSBPINS_USB0_VBUS_LABEL "USB0_VBUS"  /*!<@brief Label */
#define BOARD_INITUSBPINS_USB0_VBUS_NAME "USB0_VBUS"   /*!<@brief Identifier */
                                                       /* @} */

/*! @name USB1_DM (number 35), J4[2]/HS_USB1_DN
  @{ */
/* Routed pin properties */
#define BOARD_INITUSBPINS_USB1_DM_PERIPHERAL USBHSH        /*!<@brief Peripheral name */
#define BOARD_INITUSBPINS_USB1_DM_SIGNAL USB_DM            /*!<@brief Signal name */
#define BOARD_INITUSBPINS_USB1_DM_PIN_NAME USB1_DM         /*!<@brief Routed pin name */
#define BOARD_INITUSBPINS_USB1_DM_LABEL "J4[2]/HS_USB1_DN" /*!<@brief Label */
#define BOARD_INITUSBPINS_USB1_DM_NAME "USB1_DM"           /*!<@brief Identifier */
                                                           /* @} */

/*! @name USB1_DP (number 34), J4[3]/HS_USB1_DP
  @{ */
/* Routed pin properties */
#define BOARD_INITUSBPINS_USB1_DP_PERIPHERAL USBHSH        /*!<@brief Peripheral name */
#define BOARD_INITUSBPINS_USB1_DP_SIGNAL USB_DP            /*!<@brief Signal name */
#define BOARD_INITUSBPINS_USB1_DP_PIN_NAME USB1_DP         /*!<@brief Routed pin name */
#define BOARD_INITUSBPINS_USB1_DP_LABEL "J4[3]/HS_USB1_DP" /*!<@brief Label */
#define BOARD_INITUSBPINS_USB1_DP_NAME "USB1_DP"           /*!<@brief Identifier */
                                                           /* @} */

/*! @name USB1_VBUS (number 36), HS_USB_5V0/USB1_VBUS
  @{ */
/* Routed pin properties */
#define BOARD_INITUSBPINS_USB1_VBUS_PERIPHERAL USBHSH            /*!<@brief Peripheral name */
#define BOARD_INITUSBPINS_USB1_VBUS_SIGNAL USB_VBUS              /*!<@brief Signal name */
#define BOARD_INITUSBPINS_USB1_VBUS_PIN_NAME USB1_VBUS           /*!<@brief Routed pin name */
#define BOARD_INITUSBPINS_USB1_VBUS_LABEL "HS_USB_5V0/USB1_VBUS" /*!<@brief Label */
#define BOARD_INITUSBPINS_USB1_VBUS_NAME "USB1_VBUS"             /*!<@brief Identifier */
                                                                 /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitUSBPins(void); /* Function assigned for the Cortex-M33 */

#define IOCON_PIO_DIGITAL_EN 0x0100u  /*!<@brief Enables digital function */
#define IOCON_PIO_FUNC0 0x00u         /*!<@brief Selects pin function 0 */
#define IOCON_PIO_INV_DI 0x00u        /*!<@brief Input function is not inverted */
#define IOCON_PIO_MODE_PULLUP 0x20u   /*!<@brief Selects pull-up function */
#define IOCON_PIO_OPENDRAIN_DI 0x00u  /*!<@brief Open drain is disabled */
#define IOCON_PIO_SLEW_STANDARD 0x00u /*!<@brief Standard mode, output slew rate control is enabled */

/*! @name PIO1_4 (number 1), Q5[G1]/J12[6]/ARD_LEDR_PWM
  @{ */
/* Routed pin properties */
#define BOARD_INITLEDSPINS_LED_RED_PERIPHERAL GPIO                    /*!<@brief Peripheral name */
#define BOARD_INITLEDSPINS_LED_RED_SIGNAL PIO1                        /*!<@brief Signal name */
#define BOARD_INITLEDSPINS_LED_RED_CHANNEL 4                          /*!<@brief Signal channel */
#define BOARD_INITLEDSPINS_LED_RED_PIN_NAME PIO1_4                    /*!<@brief Routed pin name */
#define BOARD_INITLEDSPINS_LED_RED_LABEL "Q5[G1]/J12[6]/ARD_LEDR_PWM" /*!<@brief Label */
#define BOARD_INITLEDSPINS_LED_RED_NAME "LED_RED"                     /*!<@brief Identifier */
#define BOARD_INITLEDSPINS_LED_RED_DIRECTION kPIN_MUX_DirectionOutput /*!<@brief Direction */

/* Symbols to be used with GPIO driver */
#define BOARD_INITLEDSPINS_LED_RED_GPIO GPIO                          /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITLEDSPINS_LED_RED_GPIO_PIN 4U                        /*!<@brief GPIO pin number */
#define BOARD_INITLEDSPINS_LED_RED_GPIO_PIN_MASK (1U << 4U)           /*!<@brief GPIO pin mask */
#define BOARD_INITLEDSPINS_LED_RED_PORT 1U                            /*!<@brief PORT peripheral base pointer */
#define BOARD_INITLEDSPINS_LED_RED_PIN 4U                             /*!<@brief PORT pin number */
#define BOARD_INITLEDSPINS_LED_RED_PIN_MASK (1U << 4U)                /*!<@brief PORT pin mask */
                                                                      /* @} */

/*! @name PIO1_6 (number 5), Q4[G1]/J12[10]/ARD_LEDB_PWM
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITLEDSPINS_LED_BLUE_PERIPHERAL GPIO
/*!
 * @brief Signal name */
#define BOARD_INITLEDSPINS_LED_BLUE_SIGNAL PIO1
/*!
 * @brief Signal channel */
#define BOARD_INITLEDSPINS_LED_BLUE_CHANNEL 6
/*!
 * @brief Routed pin name */
#define BOARD_INITLEDSPINS_LED_BLUE_PIN_NAME PIO1_6
/*!
 * @brief Label */
#define BOARD_INITLEDSPINS_LED_BLUE_LABEL "Q4[G1]/J12[10]/ARD_LEDB_PWM"
/*!
 * @brief Identifier */
#define BOARD_INITLEDSPINS_LED_BLUE_NAME "LED_BLUE"
/*!
 * @brief Direction */
#define BOARD_INITLEDSPINS_LED_BLUE_DIRECTION kPIN_MUX_DirectionOutput

/* Symbols to be used with GPIO driver */
/*!
 * @brief GPIO peripheral base pointer */
#define BOARD_INITLEDSPINS_LED_BLUE_GPIO GPIO
/*!
 * @brief GPIO pin number */
#define BOARD_INITLEDSPINS_LED_BLUE_GPIO_PIN 6U
/*!
 * @brief GPIO pin mask */
#define BOARD_INITLEDSPINS_LED_BLUE_GPIO_PIN_MASK (1U << 6U)
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_INITLEDSPINS_LED_BLUE_PORT 1U
/*!
 * @brief PORT pin number */
#define BOARD_INITLEDSPINS_LED_BLUE_PIN 6U
/*!
 * @brief PORT pin mask */
#define BOARD_INITLEDSPINS_LED_BLUE_PIN_MASK (1U << 6U)
/* @} */

/*! @name PIO1_7 (number 9), Q4[G2]/J12[8]/ARD_LEDG_PWM
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITLEDSPINS_LED_GREEN_PERIPHERAL GPIO
/*!
 * @brief Signal name */
#define BOARD_INITLEDSPINS_LED_GREEN_SIGNAL PIO1
/*!
 * @brief Signal channel */
#define BOARD_INITLEDSPINS_LED_GREEN_CHANNEL 7
/*!
 * @brief Routed pin name */
#define BOARD_INITLEDSPINS_LED_GREEN_PIN_NAME PIO1_7
/*!
 * @brief Label */
#define BOARD_INITLEDSPINS_LED_GREEN_LABEL "Q4[G2]/J12[8]/ARD_LEDG_PWM"
/*!
 * @brief Identifier */
#define BOARD_INITLEDSPINS_LED_GREEN_NAME "LED_GREEN"
/*!
 * @brief Direction */
#define BOARD_INITLEDSPINS_LED_GREEN_DIRECTION kPIN_MUX_DirectionOutput

/* Symbols to be used with GPIO driver */
/*!
 * @brief GPIO peripheral base pointer */
#define BOARD_INITLEDSPINS_LED_GREEN_GPIO GPIO
/*!
 * @brief GPIO pin number */
#define BOARD_INITLEDSPINS_LED_GREEN_GPIO_PIN 7U
/*!
 * @brief GPIO pin mask */
#define BOARD_INITLEDSPINS_LED_GREEN_GPIO_PIN_MASK (1U << 7U)
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_INITLEDSPINS_LED_GREEN_PORT 1U
/*!
 * @brief PORT pin number */
#define BOARD_INITLEDSPINS_LED_GREEN_PIN 7U
/*!
 * @brief PORT pin mask */
#define BOARD_INITLEDSPINS_LED_GREEN_PIN_MASK (1U << 7U)
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLEDsPins(void); /* Function assigned for the Cortex-M33 */

#define IOCON_PIO_ASW_DI 0x00u        /*!<@brief Analog switch is open (disabled) */
#define IOCON_PIO_DIGITAL_EN 0x0100u  /*!<@brief Enables digital function */
#define IOCON_PIO_FUNC0 0x00u         /*!<@brief Selects pin function 0 */
#define IOCON_PIO_INV_DI 0x00u        /*!<@brief Input function is not inverted */
#define IOCON_PIO_MODE_PULLUP 0x20u   /*!<@brief Selects pull-up function */
#define IOCON_PIO_OPENDRAIN_DI 0x00u  /*!<@brief Open drain is disabled */
#define IOCON_PIO_SLEW_STANDARD 0x00u /*!<@brief Standard mode, output slew rate control is enabled */

/*! @name PIO1_18 (number 64), SW1/J8[2]/J12[15]/MIK_EXP_BTN_WK
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITBUTTONSPINS_WAKEUP_PERIPHERAL GPIO
/*!
 * @brief Signal name */
#define BOARD_INITBUTTONSPINS_WAKEUP_SIGNAL PIO1
/*!
 * @brief Signal channel */
#define BOARD_INITBUTTONSPINS_WAKEUP_CHANNEL 18
/*!
 * @brief Routed pin name */
#define BOARD_INITBUTTONSPINS_WAKEUP_PIN_NAME PIO1_18
/*!
 * @brief Label */
#define BOARD_INITBUTTONSPINS_WAKEUP_LABEL "SW1/J8[2]/J12[15]/MIK_EXP_BTN_WK"
/*!
 * @brief Identifier */
#define BOARD_INITBUTTONSPINS_WAKEUP_NAME "WAKEUP"
/*!
 * @brief Direction */
#define BOARD_INITBUTTONSPINS_WAKEUP_DIRECTION kPIN_MUX_DirectionInput

/* Symbols to be used with GPIO driver */
/*!
 * @brief GPIO peripheral base pointer */
#define BOARD_INITBUTTONSPINS_WAKEUP_GPIO GPIO
/*!
 * @brief GPIO pin number */
#define BOARD_INITBUTTONSPINS_WAKEUP_GPIO_PIN 18U
/*!
 * @brief GPIO pin mask */
#define BOARD_INITBUTTONSPINS_WAKEUP_GPIO_PIN_MASK (1U << 18U)
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_INITBUTTONSPINS_WAKEUP_PORT 1U
/*!
 * @brief PORT pin number */
#define BOARD_INITBUTTONSPINS_WAKEUP_PIN 18U
/*!
 * @brief PORT pin mask */
#define BOARD_INITBUTTONSPINS_WAKEUP_PIN_MASK (1U << 18U)
/* @} */

/*! @name PIO1_9 (number 10), SW3/J12[2]/ARD_BTN_USR_P1_9
  @{ */
/* Routed pin properties */
#define BOARD_INITBUTTONSPINS_USR_PERIPHERAL GPIO                     /*!<@brief Peripheral name */
#define BOARD_INITBUTTONSPINS_USR_SIGNAL PIO1                         /*!<@brief Signal name */
#define BOARD_INITBUTTONSPINS_USR_CHANNEL 9                           /*!<@brief Signal channel */
#define BOARD_INITBUTTONSPINS_USR_PIN_NAME PIO1_9                     /*!<@brief Routed pin name */
#define BOARD_INITBUTTONSPINS_USR_LABEL "SW3/J12[2]/ARD_BTN_USR_P1_9" /*!<@brief Label */
#define BOARD_INITBUTTONSPINS_USR_NAME "USR"                          /*!<@brief Identifier */
#define BOARD_INITBUTTONSPINS_USR_DIRECTION kPIN_MUX_DirectionInput   /*!<@brief Direction */

/* Symbols to be used with GPIO driver */
#define BOARD_INITBUTTONSPINS_USR_GPIO GPIO                           /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITBUTTONSPINS_USR_GPIO_PIN 9U                         /*!<@brief GPIO pin number */
#define BOARD_INITBUTTONSPINS_USR_GPIO_PIN_MASK (1U << 9U)            /*!<@brief GPIO pin mask */
#define BOARD_INITBUTTONSPINS_USR_PORT 1U                             /*!<@brief PORT peripheral base pointer */
#define BOARD_INITBUTTONSPINS_USR_PIN 9U                              /*!<@brief PORT pin number */
#define BOARD_INITBUTTONSPINS_USR_PIN_MASK (1U << 9U)                 /*!<@brief PORT pin mask */
                                                                      /* @} */

/*! @name RESETN (number 32), SW2/J7[2]/J10[9]/J10[10]/U18[16]/N4M_RESET#
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITBUTTONSPINS_RESET_PERIPHERAL SYSCON
/*!
 * @brief Signal name */
#define BOARD_INITBUTTONSPINS_RESET_SIGNAL RESET
/*!
 * @brief Routed pin name */
#define BOARD_INITBUTTONSPINS_RESET_PIN_NAME RESETN
/*!
 * @brief Label */
#define BOARD_INITBUTTONSPINS_RESET_LABEL "SW2/J7[2]/J10[9]/J10[10]/U18[16]/N4M_RESET#"
/*!
 * @brief Identifier */
#define BOARD_INITBUTTONSPINS_RESET_NAME "RESET"
/* @} */

/*! @name PIO0_5 (number 88), J9[7]/J17[7]/J18[2]/SW4/JS3[1]/U22[11]/N4M_ISP_MODE
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITBUTTONSPINS_ISP_PERIPHERAL GPIO
/*!
 * @brief Signal name */
#define BOARD_INITBUTTONSPINS_ISP_SIGNAL PIO0
/*!
 * @brief Signal channel */
#define BOARD_INITBUTTONSPINS_ISP_CHANNEL 5
/*!
 * @brief Routed pin name */
#define BOARD_INITBUTTONSPINS_ISP_PIN_NAME PIO0_5
/*!
 * @brief Label */
#define BOARD_INITBUTTONSPINS_ISP_LABEL "J9[7]/J17[7]/J18[2]/SW4/JS3[1]/U22[11]/N4M_ISP_MODE"
/*!
 * @brief Identifier */
#define BOARD_INITBUTTONSPINS_ISP_NAME "ISP"
/*!
 * @brief Direction */
#define BOARD_INITBUTTONSPINS_ISP_DIRECTION kPIN_MUX_DirectionInput

/* Symbols to be used with GPIO driver */
/*!
 * @brief GPIO peripheral base pointer */
#define BOARD_INITBUTTONSPINS_ISP_GPIO GPIO
/*!
 * @brief GPIO pin number */
#define BOARD_INITBUTTONSPINS_ISP_GPIO_PIN 5U
/*!
 * @brief GPIO pin mask */
#define BOARD_INITBUTTONSPINS_ISP_GPIO_PIN_MASK (1U << 5U)
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_INITBUTTONSPINS_ISP_PORT 0U
/*!
 * @brief PORT pin number */
#define BOARD_INITBUTTONSPINS_ISP_PIN 5U
/*!
 * @brief PORT pin mask */
#define BOARD_INITBUTTONSPINS_ISP_PIN_MASK (1U << 5U)
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitBUTTONsPins(void); /* Function assigned for the Cortex-M33 */

#define IOCON_PIO_DIGITAL_EN 0x0100u  /*!<@brief Enables digital function */
#define IOCON_PIO_FUNC0 0x00u         /*!<@brief Selects pin function 0 */
#define IOCON_PIO_FUNC1 0x01u         /*!<@brief Selects pin function 1 */
#define IOCON_PIO_FUNC2 0x02u         /*!<@brief Selects pin function 2 */
#define IOCON_PIO_FUNC5 0x05u         /*!<@brief Selects pin function 5 */
#define IOCON_PIO_FUNC7 0x07u         /*!<@brief Selects pin function 7 */
#define IOCON_PIO_INV_DI 0x00u        /*!<@brief Input function is not inverted */
#define IOCON_PIO_MODE_INACT 0x00u    /*!<@brief No addition pin function */
#define IOCON_PIO_MODE_PULLUP 0x20u   /*!<@brief Selects pull-up function */
#define IOCON_PIO_OPENDRAIN_DI 0x00u  /*!<@brief Open drain is disabled */
#define IOCON_PIO_SLEW_STANDARD 0x00u /*!<@brief Standard mode, output slew rate control is enabled */
#define MCLKIO_MCLKIO_INPUT 0x00u     /*!<@brief MCLK control.: input mode. */

/*! @name FC4_RXD_SDA_MOSI_DATA (number 30), U12[6]/U13[3]/J8[6]/J9[4]/FC4_I2C_SDA
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITI2SPINS_FC4_I2C_SDA_PERIPHERAL FLEXCOMM4
/*!
 * @brief Signal name */
#define BOARD_INITI2SPINS_FC4_I2C_SDA_SIGNAL RXD_SDA_MOSI_DATA
/*!
 * @brief Routed pin name */
#define BOARD_INITI2SPINS_FC4_I2C_SDA_PIN_NAME FC4_RXD_SDA_MOSI_DATA
/*!
 * @brief Label */
#define BOARD_INITI2SPINS_FC4_I2C_SDA_LABEL "U12[6]/U13[3]/J8[6]/J9[4]/FC4_I2C_SDA"
/*!
 * @brief Identifier */
#define BOARD_INITI2SPINS_FC4_I2C_SDA_NAME "FC4_I2C_SDA"
/* @} */

/*! @name FC4_TXD_SCL_MISO_WS (number 4), U12[4]/U13[2]/J8[5]/J9[2]/FC4_I2C_SCL
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITI2SPINS_FC4_I2C_SCL_PERIPHERAL FLEXCOMM4
/*!
 * @brief Signal name */
#define BOARD_INITI2SPINS_FC4_I2C_SCL_SIGNAL TXD_SCL_MISO_WS
/*!
 * @brief Routed pin name */
#define BOARD_INITI2SPINS_FC4_I2C_SCL_PIN_NAME FC4_TXD_SCL_MISO_WS
/*!
 * @brief Label */
#define BOARD_INITI2SPINS_FC4_I2C_SCL_LABEL "U12[4]/U13[2]/J8[5]/J9[2]/FC4_I2C_SCL"
/*!
 * @brief Identifier */
#define BOARD_INITI2SPINS_FC4_I2C_SCL_NAME "FC4_I2C_SCL"
/* @} */

/*! @name FC7_RXD_SDA_MOSI_DATA (number 74), J19[2]/J9[9]/FC7_I2S_TX
  @{ */
/* Routed pin properties */
#define BOARD_INITI2SPINS_FC7_I2S_TX_PERIPHERAL FLEXCOMM7            /*!<@brief Peripheral name */
#define BOARD_INITI2SPINS_FC7_I2S_TX_SIGNAL RXD_SDA_MOSI_DATA        /*!<@brief Signal name */
#define BOARD_INITI2SPINS_FC7_I2S_TX_PIN_NAME FC7_RXD_SDA_MOSI_DATA  /*!<@brief Routed pin name */
#define BOARD_INITI2SPINS_FC7_I2S_TX_LABEL "J19[2]/J9[9]/FC7_I2S_TX" /*!<@brief Label */
#define BOARD_INITI2SPINS_FC7_I2S_TX_NAME "FC7_I2S_TX"               /*!<@brief Identifier */
                                                                     /* @} */

/*! @name FC7_TXD_SCL_MISO_WS (number 90), U13[30]/J9[11]/FC7_I2S_WS
  @{ */
/* Routed pin properties */
#define BOARD_INITI2SPINS_FC7_I2S_WS_PERIPHERAL FLEXCOMM7              /*!<@brief Peripheral name */
#define BOARD_INITI2SPINS_FC7_I2S_WS_SIGNAL TXD_SCL_MISO_WS            /*!<@brief Signal name */
#define BOARD_INITI2SPINS_FC7_I2S_WS_PIN_NAME FC7_TXD_SCL_MISO_WS      /*!<@brief Routed pin name */
#define BOARD_INITI2SPINS_FC7_I2S_WS_LABEL "U13[30]/J9[11]/FC7_I2S_WS" /*!<@brief Label */
#define BOARD_INITI2SPINS_FC7_I2S_WS_NAME "FC7_I2S_WS"                 /*!<@brief Identifier */
                                                                       /* @} */

/*! @name FC7_SCK (number 76), U13[29]/J9[13]/FC7_I2S_BCLK
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITI2SPINS_FC7_I2S_BCLK_PERIPHERAL FLEXCOMM7
/*!
 * @brief Signal name */
#define BOARD_INITI2SPINS_FC7_I2S_BCLK_SIGNAL SCK
/*!
 * @brief Routed pin name */
#define BOARD_INITI2SPINS_FC7_I2S_BCLK_PIN_NAME FC7_SCK
/*!
 * @brief Label */
#define BOARD_INITI2SPINS_FC7_I2S_BCLK_LABEL "U13[29]/J9[13]/FC7_I2S_BCLK"
/*!
 * @brief Identifier */
#define BOARD_INITI2SPINS_FC7_I2S_BCLK_NAME "FC7_I2S_BCLK"
/* @} */

/*! @name FC6_RXD_SDA_MOSI_DATA (number 2), J18[2]/J9[19]/FC6_I2S_RX
  @{ */
/* Routed pin properties */
#define BOARD_INITI2SPINS_FC6_I2S_RX_PERIPHERAL FLEXCOMM6             /*!<@brief Peripheral name */
#define BOARD_INITI2SPINS_FC6_I2S_RX_SIGNAL RXD_SDA_MOSI_DATA         /*!<@brief Signal name */
#define BOARD_INITI2SPINS_FC6_I2S_RX_PIN_NAME FC6_RXD_SDA_MOSI_DATA   /*!<@brief Routed pin name */
#define BOARD_INITI2SPINS_FC6_I2S_RX_LABEL "J18[2]/J9[19]/FC6_I2S_RX" /*!<@brief Label */
#define BOARD_INITI2SPINS_FC6_I2S_RX_NAME "FC6_I2S_RX"                /*!<@brief Identifier */
                                                                      /* @} */

/*! @name PIO1_25 (number 77), J9[15]/J12[5]/I2S_IRQ
  @{ */
/* Routed pin properties */
#define BOARD_INITI2SPINS_I2S_IRQ_PERIPHERAL GPIO                   /*!<@brief Peripheral name */
#define BOARD_INITI2SPINS_I2S_IRQ_SIGNAL PIO1                       /*!<@brief Signal name */
#define BOARD_INITI2SPINS_I2S_IRQ_CHANNEL 25                        /*!<@brief Signal channel */
#define BOARD_INITI2SPINS_I2S_IRQ_PIN_NAME PIO1_25                  /*!<@brief Routed pin name */
#define BOARD_INITI2SPINS_I2S_IRQ_LABEL "J9[15]/J12[5]/I2S_IRQ"     /*!<@brief Label */
#define BOARD_INITI2SPINS_I2S_IRQ_NAME "I2S_IRQ"                    /*!<@brief Identifier */
#define BOARD_INITI2SPINS_I2S_IRQ_DIRECTION kPIN_MUX_DirectionInput /*!<@brief Direction */

/* Symbols to be used with GPIO driver */
#define BOARD_INITI2SPINS_I2S_IRQ_GPIO GPIO                         /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITI2SPINS_I2S_IRQ_GPIO_PIN 25U                      /*!<@brief GPIO pin number */
#define BOARD_INITI2SPINS_I2S_IRQ_GPIO_PIN_MASK (1U << 25U)         /*!<@brief GPIO pin mask */
#define BOARD_INITI2SPINS_I2S_IRQ_PORT 1U                           /*!<@brief PORT peripheral base pointer */
#define BOARD_INITI2SPINS_I2S_IRQ_PIN 25U                           /*!<@brief PORT pin number */
#define BOARD_INITI2SPINS_I2S_IRQ_PIN_MASK (1U << 25U)              /*!<@brief PORT pin mask */
                                                                    /* @} */

/*! @name MCLK (number 91), J13[7]/J13[8]/U13[28]/I2S_MCLK
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITI2SPINS_I2S_MCLK_PERIPHERAL SYSCON
/*!
 * @brief Signal name */
#define BOARD_INITI2SPINS_I2S_MCLK_SIGNAL MCLK
/*!
 * @brief Routed pin name */
#define BOARD_INITI2SPINS_I2S_MCLK_PIN_NAME MCLK
/*!
 * @brief Label */
#define BOARD_INITI2SPINS_I2S_MCLK_LABEL "J13[7]/J13[8]/U13[28]/I2S_MCLK"
/*!
 * @brief Identifier */
#define BOARD_INITI2SPINS_I2S_MCLK_NAME "I2S_MCLK"
/*!
 * @brief Direction */
#define BOARD_INITI2SPINS_I2S_MCLK_DIRECTION kPIN_MUX_DirectionInput
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitI2SPins(void); /* Function assigned for the Cortex-M33 */

#define IOCON_PIO_DIGITAL_EN 0x0100u  /*!<@brief Enables digital function */
#define IOCON_PIO_FUNC0 0x00u         /*!<@brief Selects pin function 0 */
#define IOCON_PIO_FUNC5 0x05u         /*!<@brief Selects pin function 5 */
#define IOCON_PIO_INV_DI 0x00u        /*!<@brief Input function is not inverted */
#define IOCON_PIO_MODE_INACT 0x00u    /*!<@brief No addition pin function */
#define IOCON_PIO_MODE_PULLUP 0x20u   /*!<@brief Selects pull-up function */
#define IOCON_PIO_OPENDRAIN_DI 0x00u  /*!<@brief Open drain is disabled */
#define IOCON_PIO_SLEW_STANDARD 0x00u /*!<@brief Standard mode, output slew rate control is enabled */

/*! @name FC4_RXD_SDA_MOSI_DATA (number 30), U12[6]/U13[3]/J8[6]/J9[4]/FC4_I2C_SDA
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITACCELPINS_FC4_I2C_SDA_PERIPHERAL FLEXCOMM4
/*!
 * @brief Signal name */
#define BOARD_INITACCELPINS_FC4_I2C_SDA_SIGNAL RXD_SDA_MOSI_DATA
/*!
 * @brief Routed pin name */
#define BOARD_INITACCELPINS_FC4_I2C_SDA_PIN_NAME FC4_RXD_SDA_MOSI_DATA
/*!
 * @brief Label */
#define BOARD_INITACCELPINS_FC4_I2C_SDA_LABEL "U12[6]/U13[3]/J8[6]/J9[4]/FC4_I2C_SDA"
/*!
 * @brief Identifier */
#define BOARD_INITACCELPINS_FC4_I2C_SDA_NAME "FC4_I2C_SDA"
/* @} */

/*! @name FC4_TXD_SCL_MISO_WS (number 4), U12[4]/U13[2]/J8[5]/J9[2]/FC4_I2C_SCL
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITACCELPINS_FC4_I2C_SCL_PERIPHERAL FLEXCOMM4
/*!
 * @brief Signal name */
#define BOARD_INITACCELPINS_FC4_I2C_SCL_SIGNAL TXD_SCL_MISO_WS
/*!
 * @brief Routed pin name */
#define BOARD_INITACCELPINS_FC4_I2C_SCL_PIN_NAME FC4_TXD_SCL_MISO_WS
/*!
 * @brief Label */
#define BOARD_INITACCELPINS_FC4_I2C_SCL_LABEL "U12[4]/U13[2]/J8[5]/J9[2]/FC4_I2C_SCL"
/*!
 * @brief Identifier */
#define BOARD_INITACCELPINS_FC4_I2C_SCL_NAME "FC4_I2C_SCL"
/* @} */

/*! @name PIO1_26 (number 68), U12[11]/J12[13]/J12[17]/ACC_INT_EXP_P1_26
  @{ */
/* Routed pin properties */
/*!
 * @brief Peripheral name */
#define BOARD_INITACCELPINS_ACCL_INTR_PERIPHERAL GPIO
/*!
 * @brief Signal name */
#define BOARD_INITACCELPINS_ACCL_INTR_SIGNAL PIO1
/*!
 * @brief Signal channel */
#define BOARD_INITACCELPINS_ACCL_INTR_CHANNEL 26
/*!
 * @brief Routed pin name */
#define BOARD_INITACCELPINS_ACCL_INTR_PIN_NAME PIO1_26
/*!
 * @brief Label */
#define BOARD_INITACCELPINS_ACCL_INTR_LABEL "U12[11]/J12[13]/J12[17]/ACC_INT_EXP_P1_26"
/*!
 * @brief Identifier */
#define BOARD_INITACCELPINS_ACCL_INTR_NAME "ACCL_INTR"

/* Symbols to be used with GPIO driver */
/*!
 * @brief GPIO peripheral base pointer */
#define BOARD_INITACCELPINS_ACCL_INTR_GPIO GPIO
/*!
 * @brief GPIO pin number */
#define BOARD_INITACCELPINS_ACCL_INTR_GPIO_PIN 26U
/*!
 * @brief GPIO pin mask */
#define BOARD_INITACCELPINS_ACCL_INTR_GPIO_PIN_MASK (1U << 26U)
/*!
 * @brief PORT peripheral base pointer */
#define BOARD_INITACCELPINS_ACCL_INTR_PORT 1U
/*!
 * @brief PORT pin number */
#define BOARD_INITACCELPINS_ACCL_INTR_PIN 26U
/*!
 * @brief PORT pin mask */
#define BOARD_INITACCELPINS_ACCL_INTR_PIN_MASK (1U << 26U)
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitACCELPins(void); /* Function assigned for the Cortex-M33 */

#define IOCON_PIO_DIGITAL_EN 0x0100u  /*!<@brief Enables digital function */
#define IOCON_PIO_FUNC9 0x09u         /*!<@brief Selects pin function 9 */
#define IOCON_PIO_INV_DI 0x00u        /*!<@brief Input function is not inverted */
#define IOCON_PIO_MODE_INACT 0x00u    /*!<@brief No addition pin function */
#define IOCON_PIO_OPENDRAIN_DI 0x00u  /*!<@brief Open drain is disabled */
#define IOCON_PIO_SLEW_STANDARD 0x00u /*!<@brief Standard mode, output slew rate control is enabled */

/*! @name CAN0_TD (number 85), U26[3]/CAN_TXD
  @{ */
/* Routed pin properties */
#define BOARD_INITCANPINS_CAN_TXD_PERIPHERAL CAN0        /*!<@brief Peripheral name */
#define BOARD_INITCANPINS_CAN_TXD_SIGNAL CAN_TD          /*!<@brief Signal name */
#define BOARD_INITCANPINS_CAN_TXD_PIN_NAME CAN0_TD       /*!<@brief Routed pin name */
#define BOARD_INITCANPINS_CAN_TXD_LABEL "U26[3]/CAN_TXD" /*!<@brief Label */
#define BOARD_INITCANPINS_CAN_TXD_NAME "CAN_TXD"         /*!<@brief Identifier */
                                                         /* @} */

/*! @name CAN0_RD (number 41), U25[3]/CAN_RXD
  @{ */
/* Routed pin properties */
#define BOARD_INITCANPINS_CAN_RXD_PERIPHERAL CAN0        /*!<@brief Peripheral name */
#define BOARD_INITCANPINS_CAN_RXD_SIGNAL CAN_RD          /*!<@brief Signal name */
#define BOARD_INITCANPINS_CAN_RXD_PIN_NAME CAN0_RD       /*!<@brief Routed pin name */
#define BOARD_INITCANPINS_CAN_RXD_LABEL "U25[3]/CAN_RXD" /*!<@brief Label */
#define BOARD_INITCANPINS_CAN_RXD_NAME "CAN_RXD"         /*!<@brief Identifier */
                                                         /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitCANPins(void); /* Function assigned for the Cortex-M33 */

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
